Bug 1126087 - content_source doesn't work with host group-based provisioning
Summary: content_source doesn't work with host group-based provisioning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1126937 1126941 1126943 1136002 1220728 1337931
Blocks: 1122832 1098183 1267522
TreeView+ depends on / blocked
 
Reported: 2014-08-01 20:29 UTC by Eric Helms
Modified: 2019-08-12 16:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:02:28 UTC


Attachments (Terms of Use)
host_group entry visible via menu with default pxe (27.50 KB, application/octet-stream)
2014-09-01 10:40 UTC, Kedar Bidarkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6853 None None None 2016-04-26 17:08:11 UTC

Description Eric Helms 2014-08-01 20:29:01 UTC
Foreman's default PXE menu can support provisioning by host group, however, Katello's content_source setup needs some changes.

- content_source needs to be added to hostgroup jail,
- distribution_repositories needs to refer to .architecture instead of .arch for hostgroups
- maybe more changes are needed

Comment 1 Eric Helms 2014-08-01 20:29:02 UTC
Created from redmine issue http://projects.theforeman.org/issues/6853

Comment 2 Eric Helms 2014-08-01 20:29:05 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 4 Bryan Kearney 2014-08-07 02:04:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6853 has been closed
-------------
Anonymous
Applied in changeset commit:katello|d614feb86781a5e5d29ad9635305596b7415064d.

Comment 8 Kedar Bidarkar 2014-08-28 11:31:21 UTC
Please provide the verification steps for this bug.

Comment 9 Kedar Bidarkar 2014-08-28 11:34:00 UTC
I believe we need to test, whether host created using a host-group gets provisioned. Also make sure host-group has the content-source defined.

Please confirm the above, else provide verification steps.

Comment 10 Stephen Benjamin 2014-08-28 11:50:55 UTC
Yup, correct.  I added some steps to the redmine ticket:
  http://projects.theforeman.org/issues/6853

Comment 11 Kedar Bidarkar 2014-09-01 10:40:29 UTC
Created attachment 933299 [details]
host_group entry visible via menu with default pxe

Comment 12 Kedar Bidarkar 2014-09-01 11:39:55 UTC
Tested with Sat6-GA-snap6-compose3


The host_group entry is visible via the menu with the default file.


But fails to get provisioned as it's unable to fetch the kickstart file.

=====================================
Default file 
=====================================
DEFAULT menu
PROMPT 0
MENU TITLE PXE Menu
TIMEOUT 200
TOTALTIMEOUT 6000
ONTIMEOUT local

LABEL local
     MENU LABEL (local)
     MENU DEFAULT
     LOCALBOOT 0

LABEL Satellite Kickstart Default Fix_Hosts_REALM - rhel65grp
     kernel boot/RedHat-6.5-x86_64-vmlinuz
     append initrd=boot/RedHat-6.5-x86_64-initrd.img ks=https://xxxx.redhat.com/unattended/template/Satellite%20Kickstart%20Default%20Fix_Hosts_REALM/rhel65grp ksdevice=bootif network kssendmac

---------------------------------------------------------------------------

1) As seen from above the ks link looks to be created with https. can we please confirm if that's OK?

2) Tried with http, but no luck 

3) Tried with http and with port 80, but no luck

Comment 13 Kedar Bidarkar 2014-09-01 11:41:21 UTC
Also tried provisioning a vm the normal way and could provision it, so DNS issues are ruled out.

Comment 14 Stephen Benjamin 2014-09-01 12:32:36 UTC
There's a couple of issues.

BZ1126937 - missed a template change (this is the certname error you see now)

BZ1136002 - it's returning an HTTPS url, which Anaconda will not like

Comment 16 Stephen Benjamin 2014-11-04 15:07:54 UTC
Dependent issues all fixed upstream, this one can be QA'd when they go to MODIFIED too.

Comment 19 Kedar Bidarkar 2015-03-16 12:16:40 UTC
As per comment 14, Both the bugs were moved to assigned state which is BLOCKER for this bug's verification.

Comment 20 Kedar Bidarkar 2015-03-16 12:17:05 UTC
Tried with Sat6.1 Beta snap6 compose2

Comment 26 errata-xmlrpc 2015-08-12 05:12:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592

Comment 27 sthirugn@redhat.com 2015-08-14 20:43:57 UTC
Accidentally closed with 6.1.1 errata

Comment 28 Lukas Pramuk 2016-06-28 17:05:25 UTC
Not only 'content_source' and but also 'mac' doesn't work with host group provisioning

2016-06-06 06:25:02 [app] [I] Started GET "/unattended/template/Satellite%20Kickstart%20Default/My%20Hostgroup" for <CLIENT_IP> at 2016-06-06 06:25:02 -0400
2016-06-06 06:25:02 [app] [I] Processing by UnattendedController#hostgroup_template as HTML
2016-06-06 06:25:02 [app] [I]   Parameters: {"id"=>"Satellite Kickstart Default", "hostgroup"=>"My Hostgroup"}
2016-06-06 06:25:02 [app] [I]   Rendered inline template (71.7ms)
2016-06-06 06:25:02 [app] [W] There was an error rendering the Unnamed template: 
 | ActionView::Template::Error: undefined method 'mac' for Hostgroup::Jail (Hostgroup)
 | /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.3/lib/safemode/jail.rb:17:in `method_missing'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.3/lib/safemode.rb:89:in `bind'

Comment 29 Bryan Kearney 2016-07-27 11:02:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.